import { SiteMeta } from '@blog/model/SiteMeta';

export function Description({ meta }: { meta: SiteMeta }) {
  if (!meta.description) {
    return null;
  }

  return (<meta name="description" content={meta.description} />);
}

export function Tags({ meta }: { meta: SiteMeta }) {
  if (!meta.tags) {
    return null;
  }

  return (<meta name="keywords" content={meta.tags.join(', ')} />);
}

export function Author({ meta }: { meta: SiteMeta }) {
  if (!meta.author) {
    return null;
  }

  return (<meta name="author" content={meta.author} />);
}

export function MetaTags({ meta }: { meta: SiteMeta }) {
  return (
    <>
      <Description meta={meta} />
      <Tags meta={meta} />
      <Author meta={meta} />
    </>
  )
}
